# Prometheus

### Supported Platforms

| Platform            | Metrics | Logs | Traces |
| ------------------- | ------- | ---- | ------ |
| Linux               | ✓       |      |        |
| Windows             | ✓       |      |        |
| macOS               | ✓       |      |        |
| Kubernetes Cluster  | ✓       |      |        |
| OpenShift 4 Cluster | ✓       |      |        |

### Configuration Table

<table><thead><tr><th width="159.75">Parameter</th><th width="104.68359375">Type</th><th width="97.70703125">Default</th><th>Description</th></tr></thead><tbody><tr><td>job_name*</td><td><code>string</code></td><td></td><td>The name of the scraper job. Will be set as service.name resource label.</td></tr><tr><td>static_targets*</td><td><code>strings</code></td><td></td><td>List of endpoints to scrape.</td></tr><tr><td>collection_interval</td><td><code>int</code></td><td>60</td><td>Sets how often (seconds) to scrape for metrics.</td></tr><tr><td>metrics_path</td><td><code>string</code></td><td>"/metrics"</td><td>HTTP Resource path on which to fetch metrics from targets.</td></tr></tbody></table>

<mark style="color:red;">\*</mark>*<mark style="color:red;">required field</mark>*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/sources/prometheus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
